%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-siliconmotion
Version: 1.7.0
Release: alt2
Serial: 1
Summary: Silicon Motion video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-siliconmotion = %serial:%version-%release
Obsoletes: xorg-x11-drv-siliconmotion

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk xorg-util-macros
BuildRequires: xorg-fontsproto-devel xorg-randrproto-devel xorg-renderproto-devel xorg-videoproto-devel xorg-xextproto-devel

ExclusiveArch: %ix86

%description
siliconmotion  is  an  Xorg  driver for Silicon Motion based
video cards.  The driver is fully accelerated, and provides support for
the  following framebuffer depths: 8, 16, and 24.  All visual types are
supported for depth 8, and TrueColor  visuals  are  supported  for  the
other depths.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-siliconmotion.xinf %buildroot%_hwdatadir/siliconmotion.xinf
install -pD -m644 11-x11-video-siliconmotion.fdi %buildroot%_fdidir/20-x11-video-siliconmotion.fdi

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_fdidir/20-x11-video-siliconmotion.fdi
%_man4dir/*

%changelog
* Thu Feb 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:1.7.0-alt2
- requires XORG_ABI_VIDEODRV = 5.0

* Tue Dec 30 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.7.0-alt1
- 1.7.0

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.6.0-alt3
- requires XORG_ABI_VIDEODRV = 4.1

* Thu Jun 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.6.0-alt2
- renamed xorg-x11-drv-siliconmotion to xorg-drv-siliconmotion
- added requires XORG_ABI_VIDEODRV = 2.0
- converted xinf to fdi

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.6.0-alt1
- 1.6.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.5.1-alt2
- rebuild with xorg-server-1.4

* Tue Mar 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.5.1-alt1
- 1.5.1

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt2
- added videoaliases file from RH

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt1
- 1.4.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.3.1.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1.2-alt0.1
- initial release

